For the complete documentation index, see llms.txt. This page is also available as Markdown.

LLM Sessions

Get all LLM sessions

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's LLM sessions

application/json
LLMSession[]Optional
get/api/v2/strategy/llm-session
GET /api/v2/strategy/llm-session HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's LLM sessions

[]

Create a new LLM session

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

The name of the strategy max 255 characters

Example: My strategy
folder_idnumberOptional

The folder id of the strategy

Example: 12
llm_api_idnumberRequired

The main LLM Api key id used for the strategy

Example: 14
fallback_api_idnumberOptional

The fallback LLM Api key id used for the strategy if main is not available

Example: 15
cron_intervalstring · enumRequired

The schedule interval of the strategy

Example: 5MPossible values:
use_chartbooleanOptional

Set true if you want to send chart image with the strategy prompt

Example: true
chart_symbolstringOptional

The Tradingview symbol of the chart (required if use_chart is true)

Example: BINANCE:BTCUSDT
chart_intervalstring · enumOptional

The interval of the chart (required if use_chart is true)

Example: 5Possible values:
chart_data_rangestring · enumOptional

The data range of the chart (optional if use_chart is true)

Example: 1DPossible values:
promptstringRequired

The strategy prompt minimum length is 20 characters maximum length is 1000000000 characters

Example: Generate a report about the current market conditions
send_signalbooleanOptional

Set true to send signal to bot hook

Example: true
webhook_idnumberOptional

The id of the bot hook where signal will be sent (required if send_signal is true)

Example: 12
signal_symbolstringOptional

The signal symbol or symbols of the strategy separated by comma

Example: BTCUSDT,ETHUSDT
send_emailbooleanOptional

Set true to send the LLM response to the user email

Example: true
Responses
201

LLM session created successfully

application/json
anyOptional
post/api/v2/strategy/llm-session
POST /api/v2/strategy/llm-session HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 405

{
  "name": "My strategy",
  "folder_id": 12,
  "llm_api_id": 14,
  "fallback_api_id": 15,
  "cron_interval": "5M",
  "use_chart": true,
  "chart_symbol": "BINANCE:BTCUSDT",
  "chart_interval": "5",
  "chart_studies": [
    "RSI@tv-basicstudies",
    "MACD@tv-basicstudies"
  ],
  "chart_data_range": "1D",
  "prompt": "Generate a report about the current market conditions",
  "send_signal": true,
  "webhook_id": 12,
  "signal_symbol": "BTCUSDT,ETHUSDT",
  "send_email": true
}

No content

Get the total number of LLM sessions

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

Number of LLM Sessions

application/json
totalnumberOptionalExample: 10
get/api/v2/strategy/llm-session/total
GET /api/v2/strategy/llm-session/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

Number of LLM Sessions

{
  "total": 10
}

Get LLM session by ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

LLM session details

application/json
anyOptional
get/api/v2/strategy/llm-session/{id}
GET /api/v2/strategy/llm-session/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update LLM session

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
namestringOptional

The name of the strategy max 255 characters

Example: My strategy
folder_idnumberOptional

The folder id of the strategy

Example: 12
llm_api_idnumberRequired

The main LLM Api key id used for the strategy

Example: 14
fallback_api_idnumberOptional

The fallback LLM Api key id used for the strategy if main is not available

Example: 15
cron_intervalstring · enumRequired

The schedule interval of the strategy

Example: 5MPossible values:
use_chartbooleanOptional

Set true if you want to send chart image with the strategy prompt

Example: true
chart_symbolstringOptional

The Tradingview symbol of the chart (required if use_chart is true)

Example: BINANCE:BTCUSDT
chart_intervalstring · enumOptional

The interval of the chart (required if use_chart is true)

Example: 5Possible values:
chart_data_rangestring · enumOptional

The data range of the chart (optional if use_chart is true)

Example: 1DPossible values:
promptstringRequired

The strategy prompt minimum length is 20 characters maximum length is 1000000000 characters

Example: Generate a report about the current market conditions
send_signalbooleanOptional

Set true to send signal to bot hook

Example: true
webhook_idnumberOptional

The id of the bot hook where signal will be sent (required if send_signal is true)

Example: 12
signal_symbolstringOptional

The signal symbol or symbols of the strategy separated by comma

Example: BTCUSDT,ETHUSDT
send_emailbooleanOptional

Set true to send the LLM response to the user email

Example: true
Responses
200

LLM session updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/llm-session/{id}
PUT /api/v2/strategy/llm-session/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 405

{
  "name": "My strategy",
  "folder_id": 12,
  "llm_api_id": 14,
  "fallback_api_id": 15,
  "cron_interval": "5M",
  "use_chart": true,
  "chart_symbol": "BINANCE:BTCUSDT",
  "chart_interval": "5",
  "chart_studies": [
    "RSI@tv-basicstudies",
    "MACD@tv-basicstudies"
  ],
  "chart_data_range": "1D",
  "prompt": "Generate a report about the current market conditions",
  "send_signal": true,
  "webhook_id": 12,
  "signal_symbol": "BTCUSDT,ETHUSDT",
  "send_email": true
}
{
  "message": "Success"
}

Delete LLM session

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

LLM session deleted successfully

application/json
messagestringOptionalExample: Success
delete/api/v2/strategy/llm-session/{id}
DELETE /api/v2/strategy/llm-session/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "Success"
}

Duplicate an LLM session

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
idstringRequired

Session ID to duplicate

Responses
201

LLM session duplicated successfully

application/json
anyOptional
post/api/v2/strategy/llm-session/duplicate
POST /api/v2/strategy/llm-session/duplicate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "id": "text"
}

No content

Reset LLM session triggers, history or responses

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
resetTriggersbooleanRequired

Set true to reset triggers

Example: true
resetStoragebooleanRequired

Set true to reset storage

Example: true
resetResponsebooleanRequired

Set true to reset response history

Example: true
Responses
200

Triggers and/or history reset successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/llm-session/{id}/reset
PUT /api/v2/strategy/llm-session/{id}/reset HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "resetTriggers": true,
  "resetStorage": true,
  "resetResponse": true
}
{
  "message": "Success"
}

Update LLM session status

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
statusstring · enumRequiredExample: ACTIVEPossible values:
Responses
200

Status updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/llm-session/{id}/status
PUT /api/v2/strategy/llm-session/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "status": "ACTIVE"
}
{
  "message": "Success"
}

Update LLM session public visibility

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
isPublicbooleanRequired

Set true to make the strategy public

Example: true
Responses
200

Public visibility updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/llm-session/{id}/public
PUT /api/v2/strategy/llm-session/{id}/public HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "isPublic": true
}
{
  "message": "Success"
}

Get all LLM session folders

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's LLM session folders

application/json
LLMSessionFolder[]Optional
get/api/v2/strategy/llm-session/folder
GET /api/v2/strategy/llm-session/folder HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's LLM session folders

[]

Create a new LLM session folder

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

Folder name (optional, auto-generated if not provided)

Responses
201

Folder created successfully

application/json
anyOptional
post/api/v2/strategy/llm-session/folder
POST /api/v2/strategy/llm-session/folder HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}

No content

Get LLM Sessions from root folder

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List

application/json
LLMSession[]Optional
get/api/v2/strategy/llm-session/folder/root
GET /api/v2/strategy/llm-session/folder/root HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List

[]

Get LLM session folder by ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired

Folder ID

Responses
200

Folder with its items

application/json
anyOptional
get/api/v2/strategy/llm-session/folder/{id}
GET /api/v2/strategy/llm-session/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update LLM session folder

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired

Folder ID

Body
namestringOptional

New folder name (optional, auto-generated if not provided)

Responses
200

Folder updated successfully

application/json
messagestringOptional
put/api/v2/strategy/llm-session/folder/{id}
PUT /api/v2/strategy/llm-session/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}
{
  "message": "text"
}

Delete LLM session folder

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired

Folder ID

Responses
200

Folder deleted successfully

application/json
messagestringOptional
delete/api/v2/strategy/llm-session/folder/{id}
DELETE /api/v2/strategy/llm-session/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "text"
}

Get the total number of LLM Reaction

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

Number of LLM Reactions

application/json
totalnumberOptionalExample: 10
get/api/v2/strategy/reaction/llm/total
GET /api/v2/strategy/reaction/llm/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

Number of LLM Reactions

{
  "total": 10
}

Get the total number of Code Reactions

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

Number of Code Reactions

application/json
totalnumberOptionalExample: 10
get/api/v2/strategy/reaction/code/total
GET /api/v2/strategy/reaction/code/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

Number of Code Reactions

{
  "total": 10
}

Get the total number of Code Strategies

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

Number of Code Strategies

application/json
totalnumberOptionalExample: 10
get/api/v2/strategy/code/total
GET /api/v2/strategy/code/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

Number of Code Strategies

{
  "total": 10
}

Last updated